Subject: Re: bug#7004: 23.2; In fullscreen mode, the echo area takes too much vertical space

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Sep 2010 23:26:00 +0200

> Date: Mon, 13 Sep 2010 22:48:59 +0200
> From: Jan Djärv <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On X Emacs also just uses what its got.  But I don't understand how a window 
> can be made not an integral if the font size.  The only thing that is 
> externally resized is the frame.  Windows, mode lines and minibuffer are 
> handeled, resized and positioned by Emacs. I just can't find any way to 
> resize/position those based on anything except increments of the font size.

A window is made an integral multiple of the default font size, yes.
But note the "default" part: some modifications of the default face
can enlarge the screen space a text line takes.  Mode line, having the
`released-button' style, is a prominent example.  But even using a
bold variant of the font enlarges the screen estate a line takes.

Thus, the initial plan is for the window size to be an integral
multiple of the number of text lines, but the actual display does not
necessarily end up that way.

So the display capabilities exist to cope with such a situation.  We
just need a way of enlarging or shrinking a window by pixels.